| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_data::impl

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef Data result_type;

      // public member functions
      Data operator()(typename impl::expr_param, typename impl::state_param,
                      typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     Data operator()(typename impl::expr_param, typename impl::state_param,
                       typename impl::data_param data) const;

   Returns the current data.

   Parameters:

   `data` | The current data.

   Returns: | `data`
   Throws: | Will not throw.